import { JsonRpc } from 'eosjs';
import { DfuseClient } from "@dfuse/client";
import { SXFlash, SXFlashGrowth } from './interfaces';
export declare function get_flash(rpc: JsonRpc): Promise<SXFlash>;
export declare function get_flash_dfuse(client: DfuseClient, block_num: number): Promise<SXFlash>;
export declare function get_flash_growth(client: DfuseClient, symcode: string, block_num: number, block_num_delta?: number): Promise<SXFlashGrowth>;
